PHP 7.1.0 Release Candidate 5 Released


This » PECL extension is not bundled with PHP.

Information for installing this PECL extension may be found in the manual chapter titled Installation of PECL extensions. Additional information such as new releases, downloads, source files, maintainer information, and a CHANGELOG, can be located here: »

A DLL for this PECL extension is currently unavailable. See also the building on Windows section.

add a note add a note

User Contributed Notes 3 notes

rutgerspeksnijder at hotmail dot com
1 year ago
Ignore my previous note, I forgot to add in where to use the PECL command to install phplua.

Installation on Ubuntu 14.04

"*.*" means version number

Packages to install (sudo apt-get install):
Install php5
Install php-pear
Install php5-dev
Install lua*.*
Install liblua*.*

Create soft link of /usr/include/lua TO /usr/include/lua*.*:
sudo ln -s /usr/include/lua*.*/ /usr/include/lua

Find liblua*.*.so and liblua*.*.a files in /usr/lib.
If they don't exist, they could be in /usr/lib/x86_64-linux-gnu or /usr/lib/i386-linux-gnu depending on OS.

Copy them from that directory into /usr/lib as and liblua.a (WITHOUT VERSION NUMBER).

sudo cp /usr/lib/x86_64-linux-gnu/liblua5.2.a /usr/lib/liblua.a

Now execute the following command (1.1.0 is the version at the time of writing this):
sudo pecl install lua-1.1.0

Add to php.ini file (could be /etc/php5/(cli/apache)/php.ini)

Hope this helps.
posti at taitavasti dot fi
3 years ago
Simple guide to install phplua on CentOS 6.3:

Run these commands in terminal as root:

$yum install php-pear php-devel gcc lua-devel lua-static
$mkdir /usr/include/lua
$ln -s /usr/include/lua.h /usr/include/lua/lua.h
$pecl install lua-1.0.0

Then edit /etc/php.ini and add the following line below the similar ones:

Finally restart your web server and you should be all done!

I spent days googling around, trying and failing and gathering up what needs to be installed when you just have apache2 and php5 installed and working.

Thus there is this bug preventing pecl from finding lua.h, which is fixed by the symlink created above. The bug is already submitted:

Hope this info helps some body else too!
4 months ago
This worked for my in php7

aptitude install php-pear
aptitude install php7-dev
aptitude reinstall lua5.2
aptitude reinstall liblua5.2-0
aptitude reinstall liblua5.2-dev

cp /usr/include/lua5.2/lua.h /usr/include
sudo ln -s /usr/include/lua*.*/ /usr/include/lua
sudo cp /usr/lib/x86_64-linux-gnu/liblua5.2.a /usr/lib/liblua.a
sudo cp /usr/lib/x86_64-linux-gnu/ /usr/lib/

sudo pecl install lua-2.0.2
To Top